Style and Appearance in JavaScript Rich Text Editor

The content below outlines the CSS structure you can use to customize the appearance of the control according to your preferences.

Styling the placeholder text

Use the following CSS to customize the default color in the Rich Text Editor’s placeholder.

.e-richtexteditor .e-rte-placeholder {
    color: blue;
    font-family: monospace;
}

Styling the editor content area

Use the following CSS to modify the default style of the Rich Text Editor’s content area, including font properties, background, and text color.

/* To change font family and font size */
.e-richtexteditor .e-rte-content .e-content,
.e-richtexteditor .e-source-content .e-content {
    font-size: 20px;
    font-family: Segoe ui;
}

/* To change font color and content background */
.e-richtexteditor .e-rte-content,
.e-richtexteditor .e-source-content {
    background: seashell;
    color: blue;
}

Customizing the toolbar appearance

Use the following CSS to customize the default color in the Rich Text Editor’s toolbar icon.

/* To change font color for toolbar icon */
.e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-icons,
.e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-icons:active {
    color: red;
}

/* To change font color for toolbar button */
.e-toolbar .e-tbar-btn,
.e-toolbar .e-tbar-btn:active,
.e-toolbar .e-tbar-btn:hover {
    color: red;
}

/* To change font color for toolbar button in active state*/
.e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-dropdown-btn.e-active .e-icons, .e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-dropdown-btn.e-active .e-rte-dropdown-btn-text {
    color: red;
}

/* To change font color for expanded toolbar items */
.e-richtexteditor .e-rte-toolbar .e-toolbar-extended .e-toolbar-item .e-tbar-btn .e-icons,
.e-toolbar.e-extended-toolbar .e-toolbar-extended .e-toolbar-item .e-tbar-btn {
    color: red;
}

Styling the character count display

Use the following CSS to customize the default color in the Rich Text Editor’s character count.

/* To change font color, font family, font size and opacity  */
.e-richtexteditor .e-rte-character-count {
    color: red;
    font-family: segoe ui;
    font-size: 18px;
    opacity: 0.54;
    padding-bottom: 2px;
    padding-right: 14px;
}

Modifying the editor container border

Use the following CSS to customize the border color in the Rich Text Editor’s container.

.e-richtexteditor .e-rte-container{
    border: 2px solid #454bc1;
    border-radius: 4px;
}

Highlighting specific text programmatically

Programmatically highlight a portion of the text in the editor by setting the background color. This can be achieved by applying a background style to the selected text using the Rich Text Editor’s executeCommand method.

import { NodeSelection } from '@syncfusion/ej2-react-richtexteditor';

var editor = new ej.richtexteditor.RichTextEditor({
  value: `<p>The Rich Text Editor component is the WYSIWYG ('what you see is what you get') editor that provides the best user experience to create and update content. Users can format their content using standard toolbar commands.</p>`,
});

editor.appendTo('#editor');

var nodeSelection = new NodeSelection();

document.getElementById('btn').onclick = function () {
  const rteContent = editor.contentModule.getDocument();
  const firstParagraph = editor.contentModule.getEditPanel().querySelector('p');

  if (firstParagraph && firstParagraph.firstChild) {
    nodeSelection.setSelectionText(
      rteContent,
      firstParagraph.firstChild,
      firstParagraph.firstChild,
      4, // Start index
      20 // End index
    );
    editor.executeCommand('backColor', 'yellow');
  }
};
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Rich Text Editor</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-base/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-richtexteditor/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-inputs/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-lists/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-navigations/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-popups/styles/tailwind3.css" rel="stylesheet">
     <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-buttons/styles/tailwind3.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-splitbuttons/styles/tailwind3.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/34.2.2/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    <div id="container">
        <button id="btn" class="e-btn" style="margin: 5px">Apply</button>
        <div id="editor"></div>
    </div>
<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

See also

Style and Appearance in Angular Rich Text Editor

Below are the CSS selectors you can use to customize the Rich Text Editor’s appearance.

Style the placeholder text

Use the following CSS to customize the default color in the Rich Text Editor’s placeholder.

.e-richtexteditor .e-rte-placeholder {
    color: blue;
    font-family: monospace;
}

Style the editor content area

Use the following CSS to modify the default style of the Rich Text Editor’s content area, including font properties, background, and text color.

/* To change font family and font size */
.e-richtexteditor .e-rte-content .e-content,
.e-richtexteditor .e-source-content .e-content {
    font-size: 20px;
    font-family: Segoe ui;
}

/* To change font color and content background */
.e-richtexteditor .e-rte-content,
.e-richtexteditor .e-source-content {
    background: seashell;
    color: blue;
}

Customize the toolbar appearance

Use the following CSS to customize the default color in the Rich Text Editor’s toolbar icon.

/* To change font color for toolbar icon */
.e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-icons,
.e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-icons:active {
    color: red;
}

/* To change font color for toolbar button */
.e-toolbar .e-tbar-btn,
.e-toolbar .e-tbar-btn:active,
.e-toolbar .e-tbar-btn:hover {
    color: red;
}

/* To change font color for toolbar button in active state*/
.e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-dropdown-btn.e-active .e-icons, .e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-dropdown-btn.e-active .e-rte-dropdown-btn-text {
    color: red;
}

/* To change font color for expanded toolbar items */
.e-richtexteditor .e-rte-toolbar .e-toolbar-extended .e-toolbar-item .e-tbar-btn .e-icons,
.e-toolbar.e-extended-toolbar .e-toolbar-extended .e-toolbar-item .e-tbar-btn {
    color: red;
}

Style the character count display

Use the following CSS to customize the default color in the Rich Text Editor’s character count.

/* To change font color, font family, font size and opacity  */
.e-richtexteditor .e-rte-character-count {
    color: red;
    font-family: segoe ui;
    font-size: 18px;
    opacity: 0.54;
    padding-bottom: 2px;
    padding-right: 14px;
}

Modify the editor container border

Use the following CSS to customize the border color in the Rich Text Editor’s container.

.e-richtexteditor .e-rte-container{
    border: 2px solid #454bc1;
    border-radius: 4px;
}

Highlight specific text programmatically

Programmatically highlight a portion of the text in the editor by setting the background color. This can be achieved by applying a background style to the selected text using the Rich Text Editor’s executeCommand method.

import { Component, ViewChild } from '@angular/core';
import { NodeSelection, ToolbarService, QuickToolbarService, LinkService, ImageService, PasteCleanupService, HtmlEditorService, RichTextEditorModule, RichTextEditorComponent } from '@syncfusion/ej2-angular-richtexteditor';

@Component({
    imports: [RichTextEditorModule],
    standalone: true,
    selector: 'app-root',
    template: `<div><button (click)="setBackground()" class="e-btn" style="margin:5px">Apply</button>
  <ejs-richtexteditor #editor [value]="value"></ejs-richtexteditor></div>`,
    providers: [ToolbarService, LinkService, ImageService, HtmlEditorService, QuickToolbarService, PasteCleanupService],
})
export class AppComponent {
    @ViewChild('editor')
    public editorObj!: RichTextEditorComponent;

    public value: string =
        "<p>The Rich Text Editor component is the WYSIWYG ('what you see is what you get') editor that provides the best user experience to create and update content. Users can format their content using standard toolbar commands.</p>";

    private nodeSelection: NodeSelection = new NodeSelection();

    setBackground() {
        const rteContent = (this.editorObj as any).contentModule.getDocument();
        const firstParagraph = (this.editorObj as any).contentModule
            .getEditPanel()
            .querySelector('p');

        if (firstParagraph && firstParagraph.firstChild) {
            this.nodeSelection.setSelectionText(
                rteContent,
                firstParagraph.firstChild,
                firstParagraph.firstChild,
                4, // Start index
                20 // End index
            );
            this.editorObj.executeCommand('backColor', 'yellow');
        }
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

See also

Style and Appearance in React Rich Text Editor

The content below outlines the CSS structure you can use to customize the appearance of the control according to your preferences.

Styling the placeholder text

Use the following CSS to customize the default color in the Rich Text Editor’s placeholder.

.e-richtexteditor .e-rte-placeholder {
    color: blue;
    font-family: monospace;
}

Styling the editor content area

Use the following CSS to modify the default style of the Rich Text Editor’s content area, including font properties, background, and text color.

/* To change font family and font size */
.e-richtexteditor .e-rte-content .e-content,
.e-richtexteditor .e-source-content .e-content {
    font-size: 20px;
    font-family: Segoe ui;
}

/* To change font color and content background */
.e-richtexteditor .e-rte-content,
.e-richtexteditor .e-source-content {
    background: seashell;
    color: blue;
}

Customizing the toolbar appearance

Use the following CSS to customize the default color in the Rich Text Editor’s toolbar icon.

/* To change font color for toolbar icon */
.e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-icons,
.e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-icons:active {
    color: red;
}

/* To change font color for toolbar button */
.e-toolbar .e-tbar-btn,
.e-toolbar .e-tbar-btn:active,
.e-toolbar .e-tbar-btn:hover {
    color: red;
}

/* To change font color for toolbar button in active state*/
.e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-dropdown-btn.e-active .e-icons, .e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-dropdown-btn.e-active .e-rte-dropdown-btn-text {
    color: red;
}

/* To change font color for expanded toolbar items */
.e-richtexteditor .e-rte-toolbar .e-toolbar-extended .e-toolbar-item .e-tbar-btn .e-icons,
.e-toolbar.e-extended-toolbar .e-toolbar-extended .e-toolbar-item .e-tbar-btn {
    color: red;
}

Styling the character count display

Use the following CSS to customize the default color in the Rich Text Editor’s character count.

/* To change font color, font family, font size and opacity  */
.e-richtexteditor .e-rte-character-count {
    color: red;
    font-family: segoe ui;
    font-size: 18px;
    opacity: 0.54;
    padding-bottom: 2px;
    padding-right: 14px;
}

Modifying the editor container border

Use the following CSS to customize the border color in the Rich Text Editor’s container.

.e-richtexteditor .e-rte-container{
    border: 2px solid #454bc1;
    border-radius: 4px;
}

Highlighting specific text programmatically

Programmatically highlight a portion of the text in the editor by setting the background color. This can be achieved by applying a background style to the selected text using the Rich Text Editor’s executeCommand method.

[Class-component]

import { HtmlEditor, Inject, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';
import { createRef } from 'react';
import { NodeSelection } from '@syncfusion/ej2-react-richtexteditor';

class App extends React.Component {
    constructor(props) {
        super(props);
        this.rteRef = createRef();
        this.nodeSelection = new NodeSelection();
    }
    
    rteValue = "<p>The Rich Text Editor component is the WYSIWYG ('what you see is what you get') editor that provides the best user experience to create and update content. Users can format their content using standard toolbar commands.</p>";

    setBackground = () => {
        if (this.rteRef.current) {
            const rteContent = this.rteRef.current.contentModule.getDocument();
            const firstParagraph = this.rteRef.current.contentModule
            .getEditPanel()
            .querySelector('p');

            if (firstParagraph && firstParagraph.firstChild) {
            // Select text from index 4 to 20
            this.nodeSelection.setSelectionText(
                rteContent,
                firstParagraph.firstChild,
                firstParagraph.firstChild,
                4, // Start index
                20 // End index
            );

            // Apply background color
            this.rteRef.current.executeCommand('backColor', 'yellow');
            }
        }
    };
    
    render() {
        return (
            <div>
                <button onClick={this.setBackground} className="e-btn" style=> Apply </button>
                <RichTextEditorComponent ref={this.rteRef} height={350} value={this.rteValue}>
                    <Inject services={[Toolbar, HtmlEditor]} />
                </RichTextEditorComponent>
            </div>
        );
    }
}
export default App;
import { HtmlEditor, Inject, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';
import { createRef } from 'react';
import { NodeSelection } from '@syncfusion/ej2-react-richtexteditor';

class App extends React.Component<{},{}> {
  private rteRef = createRef<RichTextEditorComponent>();
  private nodeSelection: NodeSelection = new NodeSelection();

  private rteValue: string =
    "<p>The Rich Text Editor component is the WYSIWYG ('what you see is what you get') editor that provides the best user experience to create and update content. Users can format their content using standard toolbar commands.</p>";

  setBackground = () => {
      if (this.rteRef.current) {
          const rteContent = this.rteRef.current.contentModule.getDocument();
          const firstParagraph = this.rteRef.current.contentModule
          .getEditPanel()
          .querySelector('p');

          if (firstParagraph && firstParagraph.firstChild) {
          // Select text from index 4 to 20
          this.nodeSelection.setSelectionText(
              rteContent,
              firstParagraph.firstChild,
              firstParagraph.firstChild,
              4, // Start index
              20 // End index
          );

          // Apply background color
          this.rteRef.current.executeCommand('backColor', 'yellow');
          }
      }
  };
  public render() {
    return (
      <div>
        <button onClick={this.setBackground} className="e-btn" style=> Apply </button>
        <RichTextEditorComponent ref={this.rteRef} height={350} value={this.rteValue}>
          <Inject services={[Toolbar, HtmlEditor]} />
        </RichTextEditorComponent>
      </div>
    );
  }
}

export default App;

[Functional-component]

import { HtmlEditor, Inject, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';
import { useRef } from 'react';
import { NodeSelection } from '@syncfusion/ej2-react-richtexteditor';

function App() {
    let rteValue = "<p>The Rich Text Editor component is the WYSIWYG ('what you see is what you get') editor that provides the best user experience to create and update content. Users can format their content using standard toolbar commands.</p>";
    
    const rteRef = useRef(null);

    const nodeSelection = new NodeSelection();

    const setBackground = () => {
      if (rteRef.current) {
        const rteContent = rteRef.current.contentModule.getDocument();
        const firstParagraph = rteRef.current.contentModule
          .getEditPanel()
          .querySelector('p');

        if (firstParagraph && firstParagraph.firstChild) {
          // Select text from index 4 to 20
          nodeSelection.setSelectionText(
            rteContent,
            firstParagraph.firstChild,
            firstParagraph.firstChild,
            4, // Start index
            20 // End index
          );

          // Apply background color
          rteRef.current.executeCommand('backColor', 'yellow');
        }
      }
    };
    return (
      <div> <button onClick={setBackground} className="e-btn" style=> Apply </button>
      <RichTextEditorComponent ref={rteRef} height={350} value={rteValue}>
        <Inject services={[Toolbar, HtmlEditor]} />
      </RichTextEditorComponent>
    </div>);
}
export default App;
import { HtmlEditor, Image, Inject, Link, QuickToolbar, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';
import { useRef } from 'react';
import { NodeSelection } from '@syncfusion/ej2-react-richtexteditor';

function App() {
    let rteValue: string = "<p>The Rich Text Editor component is the WYSIWYG ('what you see is what you get') editor that provides the best user experience to create and update content. Users can format their content using standard toolbar commands.</p>";
    
    const rteRef = useRef(null);

    const nodeSelection = new NodeSelection();

    const setBackground = () => {
      if (rteRef.current) {
        const rteContent = rteRef.current.contentModule.getDocument();
        const firstParagraph = rteRef.current.contentModule
          .getEditPanel()
          .querySelector('p');

        if (firstParagraph && firstParagraph.firstChild) {
          // Select text from index 4 to 20
          nodeSelection.setSelectionText(
            rteContent,
            firstParagraph.firstChild,
            firstParagraph.firstChild,
            4, // Start index
            20 // End index
          );

          // Apply background color
          rteRef.current.executeCommand('backColor', 'yellow');
        }
      }
    };
  
  return (
    <div> <button onClick={setBackground} className="e-btn" style=> Apply </button>
      <RichTextEditorComponent ref={rteRef} height={350} value={rteValue}>
        <Inject services={[Toolbar, HtmlEditor]} />
      </RichTextEditorComponent>
    </div>
  );
}
export default App;

See also

Style and Appearance in Vue Rich Text Editor

The following content provides the exact CSS structure that can be used to modify the control’s appearance based on the user preference.

Styling the placeholder text

Use the following CSS to customize the default color in the Rich Text Editor’s placeholder.

.e-richtexteditor .e-rte-placeholder {
    color: blue;
    font-family: monospace;
}

Styling the editor content area

Use the following CSS to customize the default Rich Text Editor’s content properties like font-family, font-size and color.

/* To change font family and font size */
.e-richtexteditor .e-rte-content .e-content,
.e-richtexteditor .e-source-content .e-content {
    font-size: 20px;
    font-family: Segoe ui;
}

/* To change font color and content background */
.e-richtexteditor .e-rte-content,
.e-richtexteditor .e-source-content {
    background: seashell;
    color: blue;
}

Customizing the toolbar appearance

Use the following CSS to customize the default color in the Rich Text Editor’s toolbar icon.

/* To change font color for toolbar icon */
.e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-icons,
.e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-icons:active {
    color: red;
}

/* To change font color for toolbar button */
.e-toolbar .e-tbar-btn,
.e-toolbar .e-tbar-btn:active,
.e-toolbar .e-tbar-btn:hover {
    color: red;
}

/* To change font color for toolbar button in active state*/
.e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-dropdown-btn.e-active .e-icons, .e-richtexteditor .e-rte-toolbar .e-toolbar-item .e-dropdown-btn.e-active .e-rte-dropdown-btn-text {
    color: red;
}

/* To change font color for expanded toolbar items */
.e-richtexteditor .e-rte-toolbar .e-toolbar-extended .e-toolbar-item .e-tbar-btn .e-icons,
.e-toolbar.e-extended-toolbar .e-toolbar-extended .e-toolbar-item .e-tbar-btn {
    color: red;
}

Styling the character count display

Use the following CSS to customize the default color in the Rich Text Editor’s character count.

/* To change font color, font family, font size and opacity  */
.e-richtexteditor .e-rte-character-count {
    color: red;
    font-family: segoe ui;
    font-size: 18px;
    opacity: 0.54;
    padding-bottom: 2px;
    padding-right: 14px;
}

Modifying the editor container border

Use the following CSS to customize the border color in the Rich Text Editor’s container.

.e-richtexteditor .e-rte-container{
    border: 2px solid #454bc1;
    border-radius: 4px;
}

Highlighting specific text programmatically

Programmatically highlight a portion of the text in the editor by setting the background color. This can be achieved by applying a background style to the selected text using the Rich Text Editor’s executeCommand method.

<template>
  <div>
    <button @click="setBackground" class="e-btn" style="margin: 5px">
      Apply
    </button>
    <ejs-richtexteditor
      ref="rteObj"
      :height="340"
      :value="rteValue"
    ></ejs-richtexteditor>
  </div>
</template>

<script setup>
import { provide } from "vue";  
import { RichTextEditorComponent as EjsRichtexteditor, Toolbar, Link, Image, HtmlEditor, QuickToolbar } from '@syncfusion/ej2-vue-richtexteditor';
import { NodeSelection } from '@syncfusion/ej2-richtexteditor';

const rteValue = `<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>`,

const setBackground(args) = {
    const rteInstance = this.$refs.rteObj.ej2Instances;
    const rteContent = rteInstance.contentModule.getDocument();
    const firstParagraph = rteInstance.contentModule
      .getEditPanel()
      .querySelector('p');

    if (firstParagraph && firstParagraph.firstChild) {
      // Select text range using NodeSelection
      this.nodeSelection.setSelectionText(
        rteContent,
        firstParagraph.firstChild,
        firstParagraph.firstChild,
        4, // Start index
        20 // End index
      );

      // Apply background color
      rteInstance.executeCommand('backColor', 'yellow');
    }
}

provide('richtexteditor',  [Toolbar, Link, Image, HtmlEditor, QuickToolbar]);
</script>

<style>
@import "../../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/tailwind3.css";
</style>
<template>
  <div>
    <button @click="setBackground" class="e-btn" style="margin: 5px">
      Apply
    </button>
    <ejs-richtexteditor
      ref="rteObj"
      :height="340"
      :value="rteValue"
    ></ejs-richtexteditor>
  </div>
</template>

<script>
import { RichTextEditorComponent, Toolbar, Link, Image, HtmlEditor, QuickToolbar } from '@syncfusion/ej2-vue-richtexteditor';
import { NodeSelection } from '@syncfusion/ej2-richtexteditor';


export default {
  name: "App",
  components: {
    "ejs-richtexteditor": RichTextEditorComponent
  },

  data() {
    return {
      rteValue: `<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>`,
      nodeSelection: new NodeSelection(),
    }
  },
   methods: {
    setBackground() {
      const rteInstance = this.$refs.rteObj.ej2Instances;
      const rteContent = rteInstance.contentModule.getDocument();
      const firstParagraph = rteInstance.contentModule
        .getEditPanel()
        .querySelector('p');

      if (firstParagraph && firstParagraph.firstChild) {
        // Select text range using NodeSelection
        this.nodeSelection.setSelectionText(
          rteContent,
          firstParagraph.firstChild,
          firstParagraph.firstChild,
          4, // Start index
          20 // End index
        );

        // Apply background color
        rteInstance.executeCommand('backColor', 'yellow');
      }
    },
  },
  provide: {
    richtexteditor: [Toolbar, Link, Image, HtmlEditor, QuickToolbar]
  }
}
</script>

<style>
@import "../../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/tailwind3.css";
</style>

See Also